/*****************************************************************************
 Copyright(c) 2015 DTS INSIGHT CORPORATION
 Note:

 Modification history
 +-------------- Historical number (000 to 999)
 |    +--------- Modified System Version
 |    |     +--- Classification of New, Modify, Append, Delete
 v    v     v
 No  Ver  Class Date                Description
 ---+-----+----+------------+--------------------------------------------------
 000 03.00 New  2015/03/12      New
*****************************************************************************/

#include "SMTAPI.h"
#include "SMTAPI_CP.h"


int  _SMT_CP_PortOut(_TRQ_PRT addr ,_TRQ_PRT data ,_SMT_CP_PSZ size ,_SMT_CP_PRW rw ){
	return _SMT_PortOut(addr , data , size , rw);
}

int  _SMT_CP_Puts(int level, const char *s){
	return _SMT_Puts(level, s);
}

int  _SMT_CP_UsrMsgTag0(int level,_TRQ_PRT TagNum){
	return _SMT_UsrMsgTag0(level, TagNum);
}

int  _SMT_CP_UsrMsgTag1(int level,_TRQ_PRT TagNum,_TRQ_PRT arg1){
	return _SMT_UsrMsgTag1(level, TagNum, arg1);
}

int  _SMT_CP_UsrMsgTag2(int level,_TRQ_PRT TagNum,_TRQ_PRT arg1,_TRQ_PRT arg2){
	return _SMT_UsrMsgTag2(level, TagNum, arg1, arg2);
}

int  _SMT_CP_UsrMsgTag3(int level,_TRQ_PRT TagNum,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3){
	return _SMT_UsrMsgTag3(level, TagNum, arg1, arg2, arg3);
}

int  _SMT_CP_UsrMsgTag4(int level,_TRQ_PRT TagNum,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4){
	return _SMT_UsrMsgTag4(level, TagNum, arg1, arg2, arg3, arg4);
}

int _SMT_CP_OsSwitch_Process(_TRQ_PRT processid){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_ThreadProcess(_TRQ_PRT threadid,_TRQ_PRT processid){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_Process_Name(_TRQ_PRT processid,const char *str){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_ThreadProcess_Name(_TRQ_PRT threadid,_TRQ_PRT processid,const char *tname,const char *pname){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_Irq_in(_TRQ_PRT irqid){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_Irq_out(_TRQ_PRT irqid){
	return _SMT_OK;
}

int _SMT_CP_OsSwitch_Idle( void ){
	return _SMT_OK;
}


int _SMT_CP_OsCall0(int osc,_SMT_CP_OS_CALL attr){
	return _SMT_OK;
}

int _SMT_CP_OsCall1(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1){
	return _SMT_OK;
}

int _SMT_CP_OsCall2(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2){
	return _SMT_OK;
}

int _SMT_CP_OsCall3(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3){
	return _SMT_OK;
}

int _SMT_CP_OsCall4(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4){
	return _SMT_OK;
}

int _SMT_CP_OsCall5(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5){
	return _SMT_OK;
}

int _SMT_CP_OsCall6(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6){
	return _SMT_OK;
}

int _SMT_CP_OsCall7(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7){
	return _SMT_OK;
}

int _SMT_CP_OsCall8(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8){
	return _SMT_OK;
}

int _SMT_CP_OsCall9(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9){
	return _SMT_OK;
}

int _SMT_CP_OsCall10(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10){
	return _SMT_OK;
}

int _SMT_CP_OsCall11(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11){
	return _SMT_OK;
}

int _SMT_CP_OsCall12(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11,_TRQ_PRT arg12){
	return _SMT_OK;
}

int _SMT_CP_OsCall13(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11,_TRQ_PRT arg12,_TRQ_PRT arg13){
	return _SMT_OK;
}

int _SMT_CP_OsCall14(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11,_TRQ_PRT arg12,_TRQ_PRT arg13,_TRQ_PRT arg14){
	return _SMT_OK;
}

int _SMT_CP_OsCall15(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11,_TRQ_PRT arg12,_TRQ_PRT arg13,_TRQ_PRT arg14,_TRQ_PRT arg15){
	return _SMT_OK;
}


int _SMT_CP_OsCall16(int osc,_SMT_CP_OS_CALL attr,_TRQ_PRT arg1,_TRQ_PRT arg2,_TRQ_PRT arg3,_TRQ_PRT arg4,_TRQ_PRT arg5,_TRQ_PRT arg6,_TRQ_PRT arg7,_TRQ_PRT arg8,_TRQ_PRT arg9,_TRQ_PRT arg10,_TRQ_PRT arg11,_TRQ_PRT arg12,_TRQ_PRT arg13,_TRQ_PRT arg14,_TRQ_PRT arg15,_TRQ_PRT arg16){
	return _SMT_OK;
}

